Page MenuHomePhabricator

Special:Log target input should do what it says on the tin
Closed, ResolvedPublic

Description

In the log options, for the target it says the user can enter a 'title or user', but just a username doesn't work - it needs to be user:username, the title of the user's page, to bring up relevant results.

That said how would it differentiate between a username and a page name anyway if someone input a username that also happens be the name of a namespace 0 page?


Version: 1.19.3
Severity: trivial

Details

Reference
bz46494

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 1:14 AM
bzimport set Reference to bz46494.
bzimport added a subscriber: Unknown Object (MLST).
Isarra created this task.Mar 23 2013, 8:42 PM

Change 135186 had a related patch set uploaded by devunt:
Clarify 'target' label on the Special:Log options.

https://gerrit.wikimedia.org/r/135186

I got this backwards. The thing that really should be fixed is that you have to enter 'User:Username' for the target for user targeting logs (block, user rights, etc); 'Username' by itself should be enough. The namespace should be implicit, but for some reason it isn't.

Doesn't it already do that for https://github.com/wikimedia/mediawiki-core/blob/master/includes/specials/SpecialLog.php#L32 ? (There's also a hook later on for other extensions to add to it)

Yeah, looks like it does work now (tested on mw.org), so nevermind! Whee!

Paladox set Security to None.Sep 4 2015, 7:56 PM

Change 135186 had a related patch set uploaded (by Paladox):
Clarify 'target' label on the Special:Log options.

https://gerrit.wikimedia.org/r/135186

Change 135186 merged by jenkins-bot:
Clarify 'target' label on the Special:Log options.

https://gerrit.wikimedia.org/r/135186